Support » Plugin: Gutenberg » So many bugs and JS errors and what not…

  • I normally never leave 1 star ratings, let alone rate any plugin, but I couldn’t stand to just give my honest feedback about this complete nightmare called “Gutenberg”. I am a developer and have many customers, and there are just so many conflicts and issues with so many plugins, it’s just terrible. The very first thing I will do for each WP install will be to install the “Classic Editor”.

    I really do hope they will not go through with this “Gutenberg”. I understand the devs did a lot of work and put new technology to the test, but honestly don’t break things if they work. I expected a lot of this gutenberg year ago, but didn’t expect it to be this buggy. Another really anoying thing is that if you are developing a simply shortcode and do a “var_dump()” you can’t even Publish the page anymore…

Viewing 1 replies (of 1 total)
  • Moderator Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    If you have plugins causing conflicts, then I would recommend finding other plugins, or finding updates for the ones causing you trouble.

    As for shortcodes, yes, doing a var_dump inside them will break the page. However, this is the case for anything, not just for the block editor. Shortcodes are not supposed to output data, they are supposed to return it. And if you have data being output, then that will break the responses from the REST API, which means that the editor will no longer be able to communicate with the server properly. Consider logging things to files for debugging instead of outputting them directly.

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this review.